From 4259cf05e927b47b2f392ef5f11c8dadc7ba0d69 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Oct 06 2017 16:31:14 +0000
Subject: [PATCH 966/1001] Add JS lint to tox


---

diff --git a/tox.ini b/tox.ini
index c7e54cf..74cc729 100644
--- a/tox.ini
+++ b/tox.ini
@@ -1,5 +1,5 @@
 [tox]
-envlist = py{27,34,35}-flask01{0,1,2},js,docs,lint
+envlist = py{27,34,35}-flask01{0,1,2},js,jslint,docs,lint
 skipsdist = True
 
 
@@ -31,6 +31,17 @@ commands =
     npm install
     npm test
 
+[testenv:jslint]
+skip_install = True
+usedevelop = False
+deps =
+whitelist_externals =
+    npm
+changedir = {toxinidir}/hubs/static/client
+commands =
+    npm install
+    npm run lint
+
 [testenv:docs]
 changedir = docs
 deps =

